Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationTimeoutType

    java.lang.Object
      com.sleepycat.db.ReplicationTimeoutType

    public final class ReplicationTimeoutType

extends Object

The ReplicationTimeoutType defines the types of timeouts that can be configured for the Berkeley Db replication functionality.

The class is used in the `Environment.setReplicationTimeout` method.

Field Summary
`static ReplicationTimeoutType` | `ACK_TIMEOUT` Configure the amount of time the replication manager's transport function waits to collect enough acknowledgments from replication group clients, before giving up and returning a failure indication.
`static ReplicationTimeoutType` | `CONNECTION_RETRY` Configure the amount of time the replication manager will wait before trying to re-establish a connection to another site after a communication failure.
`static ReplicationTimeoutType` | `ELECTION_RETRY` Configure the amount of time the replication manager will wait before retrying a failed election.
`static ReplicationTimeoutType` | `ELECTION_TIMEOUT` The timeout period for an election.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACK_TIMEOUT

    public static final ReplicationTimeoutType ACK_TIMEOUT

  Configure the amount of time the replication manager's transport function waits to collect enough acknowledgments from replication group clients, before giving up and returning a failure indication.

### CONNECTION_RETRY

    public static final ReplicationTimeoutType CONNECTION_RETRY

  Configure the amount of time the replication manager will wait before trying to re-establish a connection to another site after a communication failure.

### ELECTION_RETRY

    public static final ReplicationTimeoutType ELECTION_RETRY

  Configure the amount of time the replication manager will wait before retrying a failed election.

### ELECTION_TIMEOUT

    public static final ReplicationTimeoutType ELECTION_TIMEOUT

  The timeout period for an election.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.